# Invitea

Invite links for your [Gitea](https://gitea.io) instance!

## Setup

Configure Invitea with a config, environment variables, or flags.

```yaml
domain: http://localhost:8080
session-secret: honk
gitea-client-key: <client-key>       # OAuth2 app key
gitea-client-secret: <client-secret> # OAuth2 app secret
gitea-token: <admin token>           # Used for creating the accounts
gitea-url: https://git.jojodev.com
level: info
```

The CLI flags would match the key above and environment variables would match `INVITEA_<KEY>`.

```sh
./invitea --domain http://localhost8080 --session-secret honk
```

```sh
INVITEA_DOMAIN="http://localhost:8080"
INVITEA_SESSION_SECRET="honk"
```

## License

[MIT](LICENSE)