package static

import (
	"embed"
	"html/template"
)

var (
	//go:embed css
	CSS embed.FS

	//go:embed templates
	templates embed.FS
	Templates = template.Must(template.ParseFS(templates, "templates/*"))

	//go:embed img
	Img embed.FS
)
